#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-JRw6QHT7fuJFaJJ5DhK8nm
key: jose-0.7.0.0-JRw6QHT7fuJFaJJ5DhK8nm
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
author: Fraser Tweedale
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
abi: 0a1a25061f8fe5f572f10df6031128f4
exposed: True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
import-dirs: /usr/lib/ghc-8.4.2/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-JRw6QHT7fuJFaJJ5DhK8nm
depends:
    base-4.11.1.0 attoparsec-0.13.2.2-AEXZkgs8lo23eqrLiqxiAC
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    concise-0.1.0.1-JmCtSMzLzcfAQ5R40W8M2P containers-0.5.11.0
    cryptonite-0.24-BcvQs1nV89AHCENItQldKu
    lens-4.16.1-KPPE4nmtmATBX4cMAuR9Tq
    memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi
    monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ mtl-2.2.2
    template-haskell-2.13.0.0 safe-0.3.15-6OA982eMBjOFxH3lr17dDm
    aeson-1.3.1.1-Jc2ftlprW3RD5JNULfJPh2
    unordered-containers-0.2.9.0-KdZ4KMfcSgfH94a9qKVvIF
    bytestring-0.10.8.2 text-1.2.3.0 time-1.8.0.2
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6
    quickcheck-instances-0.3.18-EzqXmvHID2k6QvxSGHURxI
    x509-1.7.3-7TcP3RgitKA3uJnUHFBX48
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             attoparsec-0.13.2.2-AEXZkgs8lo23eqrLiqxiAC=b163fca1a2fb151be52663236861bb33
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=7722d2d1f9adcb92b317b3a43d084a70
             concise-0.1.0.1-JmCtSMzLzcfAQ5R40W8M2P=f45b9af1c435592c3524a2e08b5c676f
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             cryptonite-0.24-BcvQs1nV89AHCENItQldKu=726a0cec139c23a1e4bce7e7f7040a66
             lens-4.16.1-KPPE4nmtmATBX4cMAuR9Tq=24c2def77b3015b7aae9e4b41a1a4d5e
             memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi=ed2d5adcedeb6833cc2a392fb853e830
             monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ=ea3ac8b32ffa8bed20d95f23523206ed
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
             safe-0.3.15-6OA982eMBjOFxH3lr17dDm=310e5033fee5bed3795c8b15fde3624e
             aeson-1.3.1.1-Jc2ftlprW3RD5JNULfJPh2=d6221140607342466670e5a4aa799750
             unordered-containers-0.2.9.0-KdZ4KMfcSgfH94a9qKVvIF=2ade52955b9fa0964135ae12d3c6ee25
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=d49fd54c7cc8ca7cdc7f65925221d670
             QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6=329f1c9cae18d78e8febe9289607fdb9
             quickcheck-instances-0.3.18-EzqXmvHID2k6QvxSGHURxI=e02279e64965802bd68f3b11b003c884
             x509-1.7.3-7TcP3RgitKA3uJnUHFBX48=95f350d71b5e9c781bcaad05b90c8401
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

